package srd.math;
import java.lang.Exception;

class ComplexNumber
{
    private double m_dReal;
    private double m_dImag;

    // constructors
    public ComplexNumber(double dR, double dI)
    {
        m_dReal = dR;
        m_dImag = dI;
    }
    public ComplexNumber(double dR)
    {
        this(dR, 0.0);
    }

    // division operator written to use exceptions
    public ComplexNumber Divide(double d) throws Exception
    {
        if (d == 0)
        {
            throw new 
  Exception("Attempted divide by zero in ComplexNumber.divide");
        }
        return new ComplexNumber(m_dReal / d, m_dImag / d);
    }

    public String toString()
    {
        StringBuffer sb = new StringBuffer();
        sb.append('(').append(m_dReal).append(',');
        sb.append(m_dImag).append(')');
        return sb.toString();
    }
}
